org.apache.ignite.internal.visor.cache

## Class VisorCacheStoreConfiguration

- java.lang.Object
- - org.apache.ignite.internal.visor.VisorDataTransferObject
  - - org.apache.ignite.internal.visor.cache.VisorCacheStoreConfiguration

All Implemented Interfaces:
  Externalizable, Serializable

    public class VisorCacheStoreConfiguration
    extends VisorDataTransferObject

Data transfer object for cache store configuration properties.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`VisorCacheStoreConfiguration()` Default constructor.
`VisorCacheStoreConfiguration(IgniteEx ignite, CacheConfiguration ccfg)` Create data transfer object for cache store configuration properties.

### Method Summary

Methods
`int` `getBatchSize()`
`long` `getFlushFrequency()`
`int` `getFlushSize()`
`int` `getFlushThreadCount()`
`String` `getStore()`
`String` `getStoreFactory()`
`boolean` `getWriteBehindCoalescing()`
`boolean` `isEnabled()`
`boolean` `isJdbcStore()`
`boolean` `isReadThrough()`
`boolean` `isStoreKeepBinary()`
`boolean` `isWriteBehindEnabled()`
`boolean` `isWriteThrough()`
`protected void` `readExternalData(byte protoVer, ObjectInput in)` Load object's specific data content.
`String` `toString()`
`protected void` `writeExternalData(ObjectOutput out)` Save object's specific data content.

### Methods inherited from class org.apache.ignite.internal.visor.VisorDataTransferObject

`getProtocolVersion, readExternal, toList, writeExternal`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### VisorCacheStoreConfiguration

    public VisorCacheStoreConfiguration()

Default constructor.

#### VisorCacheStoreConfiguration

    public VisorCacheStoreConfiguration(IgniteEx ignite,
                                CacheConfiguration ccfg)

Create data transfer object for cache store configuration properties.

Parameters:
  `ignite` - Ignite instance.
  `ccfg` - Cache configuration.

### Method Detail

#### isEnabled

    public boolean isEnabled()

Returns:
  `true` if cache has store.

#### isJdbcStore

    public boolean isJdbcStore()

Returns:
  `true` if cache has JDBC store.

#### getStore

    @Nullable
    public String getStore()

Returns:
  Cache store class name.

#### getStoreFactory

    public String getStoreFactory()

Returns:
  Cache store factory class name..

#### isReadThrough

    public boolean isReadThrough()

Returns:
  Whether cache should operate in read-through mode.

#### isWriteThrough

    public boolean isWriteThrough()

Returns:
  Whether cache should operate in write-through mode.

#### isWriteBehindEnabled

    public boolean isWriteBehindEnabled()

Returns:
  Flag indicating whether write-behind behaviour should be used for the cache store.

#### getBatchSize

    public int getBatchSize()

Returns:
  Maximum batch size for write-behind cache store operations.

#### getFlushFrequency

    public long getFlushFrequency()

Returns:
  Frequency with which write-behind cache is flushed to the cache store in milliseconds.

#### getFlushSize

    public int getFlushSize()

Returns:
  Maximum object count in write-behind cache.

#### getFlushThreadCount

    public int getFlushThreadCount()

Returns:
  Number of threads that will perform cache flushing.

#### isStoreKeepBinary

    public boolean isStoreKeepBinary()

Returns:
  Keep binary in store flag.

#### getWriteBehindCoalescing

    public boolean getWriteBehindCoalescing()

Returns:
  Write coalescing flag.

#### writeExternalData

    protected void writeExternalData(ObjectOutput out)
                              throws IOException

Save object's specific data content.

Specified by:
  `writeExternalData` in class `VisorDataTransferObject`
Parameters:
  `out` - Output object to write data content.
Throws:
  `IOException` - If I/O errors occur.

#### readExternalData

    protected void readExternalData(byte protoVer,
                        ObjectInput in)
                             throws IOException,
                                    ClassNotFoundException

Load object's specific data content.

Specified by:
  `readExternalData` in class `VisorDataTransferObject`
Parameters:
  `protoVer` - Input object version.
  `in` - Input object to load data content.
Throws:
  `IOException` - If I/O errors occur.
  `ClassNotFoundException` - If the class for an object being restored cannot be found.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

2017 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.0.0
Release Date | : April 30 2017